Bug 63971 - perl -e 'chomp bla;' -> segmentation fault
perl -e 'chomp bla;' -> segmentation fault
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-22 17:00 EDT by Dries Verachtert
Modified: 2016-09-29 10:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-11 17:22:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 63971 master MERGED Add caching for vm IO tune policies 2016-09-29 10:29 EDT

  None (edit)
Description Dries Verachtert 2002-04-22 17:00:47 EDT
Description of Problem:
It's possible to crash perl and suidperl with the chop and chomp command:
[dries@delirium /]$ perl -e 'chop bla;'
Segmentation fault

I'm using perl perl-5.6.1-26.72.3 on a redhat 7.2 with all updates installed. 
This bug can be also reproduced on alpha, ix86 and alpha. The bug also exists 
in redhat 7.3 beta and also on other distro's like suse and debian (i asked some 
people on irc to test it)

Version-Release number of selected component (if applicable):
perl-5.6.1-26.72.3 from rh 7.2, also with the perl 5.6.1 version in redhat 7.3 beta

How Reproducible:
always

Steps to Reproduce:
1.  type: perl -e 'chop bla;'

Actual Results:
segmentation fault

Expected Results:
some warning or error message

Additional info:
The bugs.perl.org website does not work so 
i'm not able to report it there. I will try to submit it the next days.

Note You need to log in before you can comment on or make changes to this bug.